View Issue Details

IDProjectCategoryView StatusLast Update
0002501VariiSpace[All Projects] Generalpublic2018-11-11 11:47
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002501: Fusionner/Scinder une flotte
DescriptionLe joueur doit avoir la possibilité de créer de nouvelles flottes. Pour ça, le plus simple en UX et en code sera de permettre au joueur de scinder une flotte (de plus de 1 vaisseau!) en deux flottes.

Cela se fera via un bouton sur la page des orbites des OC. On pourra alors scinder la flotte en deux, et envoyer la flotte nouvellement créée vers l'orbite supérieure ou inférieure (si libres) à l'image du déplacement d'une flotte entre deux orbites.

A voir si j'autorise à scinder une flotte en attaquant un adversaire?
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2018-10-28 22:49

administrator   ~0003831

Il reste à gérer les stocks de ressources lors de ces changements d'orbites
Xenos

Xenos

2018-10-28 23:00

administrator   ~0003832

Je peux aussi rajouter un range global, pour appliquer une proportion précise partout
et 2 boutons fléchés gauche et droite, à gauche et à droite de ces "range", pour mettre un "range" à 0% ou à 100% (boutons raccourcis)

Il faudra aussi styler ces ranges
Xenos

Xenos

2018-10-30 18:58

administrator   ~0003834

Pour l'attaque, je verrai par la suite, quand je ferai les attaques en général
Xenos

Xenos

2018-11-11 11:47

administrator   ~0003886

L'histoire des attaques sera à traiter dans un ticket dédié

Issue History

Date Modified Username Field Change
2018-10-28 16:09 Xenos New Issue
2018-10-28 16:09 Xenos Assigned To => Xenos
2018-10-28 16:09 Xenos Status New => In progress
2018-10-28 22:49 Xenos Note Added: 0003831
2018-10-28 23:00 Xenos Note Added: 0003832
2018-10-30 18:58 Xenos Status In progress => Ready
2018-10-30 18:58 Xenos Resolution open => fixed
2018-10-30 18:58 Xenos Note Added: 0003834
2018-11-11 11:47 Xenos Status Ready => Close
2018-11-11 11:47 Xenos Note Added: 0003886